package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiProxyRouter struct{}

func (s *AiProxyRouter) InitAiProxyRouter(Router *gin.RouterGroup) {
	aiProxyRouter := Router.Group("v1")
	aiProxyApi := v1.ApiGroupApp.AppApiGroup.AiProxyApi
	{
		aiProxyRouter.POST("chat/completions", aiProxyApi.ChatCompletions)
	}
}
